Package com.opensymphony.sitemesh.compatability

# Class OldDecorator2NewDecorator

java.lang.Object
com.opensymphony.sitemesh.webapp.decorator.BaseWebAppDecorator
com.opensymphony.sitemesh.compatability.OldDecorator2NewDecorator

All Implemented Interfaces:
  `RequestConstants`, `Decorator`

public class OldDecorator2NewDecorator extends BaseWebAppDecorator implements RequestConstants
Adapts a SiteMesh 2 `Decorator` to a SiteMesh 3 `Decorator`.

Since:
  SiteMesh 3
Author:
  Joe Walnes

## Field Summary

Fields
Modifier and Type
Field
Description
`private final Decorator`
`oldDecorator`

### Fields inherited from interface com.opensymphony.module.sitemesh.RequestConstants

`DECORATOR, PAGE, ROBOT`

## Constructor Summary

Constructors
Constructor
Description
`OldDecorator2NewDecorator(Decorator oldDecorator)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`render(Content content, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.ServletContext servletContext, SiteMeshWebAppContext webAppContext)`
More convenient version of `BaseWebAppDecorator.render(com.opensymphony.sitemesh.Content, com.opensymphony.sitemesh.SiteMeshContext)` suited for Servlet API calls.

### Methods inherited from class com.opensymphony.sitemesh.webapp.decorator.BaseWebAppDecorator

`render`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### oldDecorator

private final Decorator oldDecorator

## Constructor Details

### OldDecorator2NewDecorator

public OldDecorator2NewDecorator(Decorator oldDecorator)

## Method Details

### render

protected void render(Content content, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.ServletContext servletContext, SiteMeshWebAppContext webAppContext) throws IOException, javax.servlet.ServletException
Description copied from class: `BaseWebAppDecorator`
More convenient version of `BaseWebAppDecorator.render(com.opensymphony.sitemesh.Content, com.opensymphony.sitemesh.SiteMeshContext)` suited for Servlet API calls.

Specified by:
  `render` in class `BaseWebAppDecorator`
Throws:
  `IOException`
  `javax.servlet.ServletException`